Bug 213661 - Cannot compile gtk-sharp projects, cannot find gtk-sharp.pc ?
Cannot compile gtk-sharp projects, cannot find gtk-sharp.pc ?
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gtksharp (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-02 09:22 EST by andrei
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-07 17:06:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
A simple cs project that uses gtk and does not compile (3.03 KB, application/octet-stream)
2006-11-02 09:22 EST, andrei
no flags Details

  None (edit)
Description andrei 2006-11-02 09:22:13 EST
Description of problem: 
Error trying to compile a project that uses gtk-sharp (and I think that this is
true also for glade and other assemblies). Seems to me that gtk-sharp.pc is
missing from /usr/lib/pkgconfig.

Version-Release number of selected component (if applicable):
Standard mono installation obtained by selecting mono during FC6 installation
mdtool setup list
MonoDevelop Add-In Setup Utility
Installed add-ins:
 - MonoDevelop.Core.Gui 0.12.0
 - MonoDevelop.Core 0.12.0
 - MonoDevelop.Documentation 0.12.0
 - MonoDevelop.Ide 0.12.0
 - MonoDevelop.Projects.Gui 0.12.0
 - MonoDevelop.Projects 0.12.0
 - MonoDevelop.SourceEditor 0.12.0
 - MonoDevelop.Prj2Make 0.12
 - BooBinding 0.4
 - CSharpBinding 0.10
 - MonoDevelop.ILAsmBinding 0.9
 - MonoDevelop.JavaBinding 0.9
 - VBBinding 0.4
 - ChangeLogAddIn 0.4
 - MonoDevelop.Autotools 0.1
 - MonoDevelop.GtkCore 0.3.0
 - MonoDeveloperExtensions 0.3.0
 - MonoQuery 0.4.0
 - MonoDevelop.NUnit 0.12.0
 - VersionControlPlugin 0.4
 - MonoDevelop.WelcomePage 0.4.0



How reproducible:
always

Steps to Reproduce:
1.try to compile a .cs project that uses GTK
mcs -pkg:gtk-sharp Main.cs
  
Actual results:
Package gtk-sharp was not found in the pkg-config search path.
Perhaps you should add the directory containing `gtk-sharp.pc'
to the PKG_CONFIG_PATH environment variable
No package 'gtk-sharp' found
error CS8027: Error running pkg-config. Check the above output.


Expected results:
The file should compile without errors

Additional info:
For test I used a dummy Monodevelop GTK project (attached). First i was thinking
that there is a problem with monodevelop. If i am compilling via monodevelop I get:

Building Project: Test1 Configuration: Debug
Performing main compilation...
    Try using -pkg:gtk-sharp
    Try using -pkg:gtk-sharp
    Try using -pkg:glade-sharp
    Try using -pkg:glade-sharp
    Try using -pkg:gtk-sharp
    Try using -pkg:gtk-sharp
    Try using -pkg:glade-sharp
    Try using -pkg:glade-sharp
Compilation failed: 8 error(s), 0 warnings

/home/andrei/Projects/Test1/Test1/Main.cs(3,7): error CS0246: The type or
namespace name `Gtk' could not be found. Are you missing a using directive or an
assembly reference?
/home/andrei/Projects/Test1/Test1/Main.cs(3,1): error CS0246: The type or
namespace name `Gtk' could not be found. Are you missing a using directive or an
assembly reference?
/home/andrei/Projects/Test1/Test1/Main.cs(4,7): error CS0246: The type or
namespace name `Glade' could not be found. Are you missing a using directive or
an assembly reference?
/home/andrei/Projects/Test1/Test1/Main.cs(4,1): error CS0246: The type or
namespace name `Glade' could not be found. Are you missing a using directive or
an assembly reference?
/home/andrei/Projects/Test1/Test1/Main.cs(3,7): error CS0246: The type or
namespace name `Gtk' could not be found. Are you missing a using directive or an
assembly reference?
/home/andrei/Projects/Test1/Test1/Main.cs(3,1): error CS0246: The type or
namespace name `Gtk' could not be found. Are you missing a using directive or an
assembly reference?
/home/andrei/Projects/Test1/Test1/Main.cs(4,7): error CS0246: The type or
namespace name `Glade' could not be found. Are you missing a using directive or
an assembly reference?
/home/andrei/Projects/Test1/Test1/Main.cs(4,1): error CS0246: The type or
namespace name `Glade' could not be found. Are you missing a using directive or
an assembly reference?


Build complete -- 8 errors, 0 warnings

---------------------- Done ----------------------

gtk-sharp, Version=2.4.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f
could not be found or is invalid.
gdk-sharp, Version=2.4.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f
could not be found or is invalid.
glib-sharp, Version=2.4.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f
could not be found or is invalid.
glade-sharp, Version=2.4.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f
could not be found or is invalid.
pango-sharp, Version=2.4.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f
could not be found or is invalid.
Build: 8 errors, 0 warnings

Thanks,
Andrei
Comment 1 andrei 2006-11-02 09:22:13 EST
Created attachment 140133 [details]
A simple cs project that uses gtk and does not compile
Comment 2 Alexander Larsson 2006-11-06 05:21:01 EST
Did you install gtk-sharp-devel?
Comment 3 andrei 2006-11-06 06:11:04 EST
You are right, I thought that I had installed the devel also but I wasn't. 
I am sorry for your waste of time, this is indeed no bug.
Cheers,
Andrei

Note You need to log in before you can comment on or make changes to this bug.